Summary: Nessus, the best free network security scanner.
Name: nessus
Version: 1.0.9
Release: fr1
Serial: 1
Copyright: GPL
Group: System Environment/Daemons
Source1: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/nessus-libraries-%{version}.tar.bz2
Source2: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/libnasl-%{version}.tar.bz2
Source3: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/nessus-core-%{version}.tar.bz2
Source4: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/nessus-plugins-%{version}.tar.bz2
Source5: nessusd.init
Source6: nessusd.users
Source7: nessusd.rules
Source8: nessusd.conf
Source9: faq.html
URL: http://www.nessus.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: perl
BuildRequires: gtk+-devel, glib-devel, zlib-devel, nmap

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.


%package common
Group: System Environment/Base
Summary: Nessus files shared by both the server and the client.

%description common
These are the libraries shared by both the Nessus client and the Nessus
server. You must install this package in order to use any one of them.


%package server
Group: System Environment/Daemons
Summary: Nessus, the best free network security scanner.
Requires: nessus-common = %{version}, zlib >= 1.1.3, nmap >= 2.53
PreReq: /sbin/service, /sbin/chkconfig

%description server
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

This is the server that is used to perform the security checks.


%package devel
Group: Development/Libraries
Summary: Nessus developement librairies and headers.
Requires: nessus-server = %{version}

%description devel
Developement libraries and headers for Nessus, the remote security scanner.
You will need this package to build new plugins or to update your existing
ones.


%package client
Group: System Environment/Base
Summary: Nessus GTK+ client.
Requires: nessus-common = %{version}, gtk+ >= 1.2.0

%description client
This is the GTK+ client for Nessus, the remote security scanner. Install
this package on systems from where the remote (or local) daemon will be
controlled.


%package plugins
Group: System Environment/Daemons
Summary: Nessus plugins which are used to perform the various checks.
Requires: nessus-server

%description plugins
This package includes all the plugins used to perform the various security
checks from the Nessus server. You must install this package on the nessus
server or it won't be of much use.


%prep
%setup -q -c -T
%setup -q -T -D -a 1 -a 2 -a 3 -a 4

%build
rm -rf %{buildroot}

# All the builds are followed by the install since all the core an plugins
# depend on the libraries and nasl

# For where we don't use the configure macro
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS

# This is so that the core and the plugins can find the new libs and bins
export LD_LIBRARY_PATH="%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
export PATH="%{buildroot}%{_bindir}:$PATH"

# Build nessus-libraries (the configure macro doesn't work here)
(	cd nessus-libraries
	./configure	--enable-gmp=peks \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--sbindir=%{_sbindir} \
			--libdir=%{_libdir} \
			--includedir=%{_includedir} \
			--mandir=%{_mandir}
	make
	%makeinstall incdir=%{buildroot}%{_includedir}
	# Temporary hack :-) - Things are changed back later
	perl -pi -e 's|^PREFIX=.*|PREFIX='%{buildroot}%{_prefix}'|' \
		%{buildroot}%{_bindir}/nessus-config
	# This one is NOT temporary
	perl -pi -e 's|/usr/include/peks|\$INCLUDEDIR/peks|' \
		%{buildroot}%{_bindir}/nessus-config
)

# Build libnasl
(	cd libnasl
	%configure
	make
	%makeinstall
	# Temporary hack :-) - Things are changed back later
	perl -pi -e 's|^PREFIX=.*|PREFIX='%{buildroot}%{_prefix}'|' \
		%{buildroot}%{_bindir}/nasl-config
)

# Build nessus-core
(	cd nessus-core
	%configure	--enable-release \
			--enable-pthreads \
			--enable-cipher \
			--includedir=%{buildroot}%{_includedir}
	make
	perl -pi -e 's/-o \$\(installuser\)//g' Makefile
	%makeinstall
)

# Build nessus-plugins
(	cd nessus-plugins
	%configure
	make
	perl -pi -e 's/-o \$\(installuser\)//g' Makefile
	%makeinstall
)

# End the temporary hacks here
perl -pi -e 's|^PREFIX=.*|PREFIX='%{_prefix}'|' %{buildroot}%{_bindir}/*-config


%install
mkdir -p %{buildroot}/var/log/nessus
install -D -m 755 %{SOURCE5} %{buildroot}/etc/init.d/nessusd
install -m 640 %{SOURCE6} %{SOURCE7} %{SOURCE8} %{buildroot}/etc/nessus/
perl -pi -e 's|\@LIBDIR\@|'%{_libdir}'|' %{buildroot}/etc/nessus/nessusd.conf
cp %{SOURCE9} .

%clean
rm -rf %{buildroot}

%post server
/sbin/chkconfig --add nessusd
/sbin/ldconfig

%preun server
if [ $1 = 0 ]; then
	/sbin/service nessusd stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del nessusd
fi

%postun server
if [ $1 -ge 1 ]; then
	/sbin/service nessusd condrestart >/dev/null 2>&1 || :
fi
/sbin/ldconfig

%post client -p /sbin/ldconfig

%postun client -p /sbin/ldconfig

%files common
%defattr(-, root, root)
%doc faq.html
%{_libdir}/libnessus.so*
%{_libdir}/libpcap-nessus.so*
%{_libdir}/libpeks.so*
%{_libdir}/libhosts_gatherer.so*

%files server
%defattr(-, root, root)
%doc nessus-core/doc/kb_saving.txt
%doc nessus-core/doc/ntp
%doc nessus-core/doc/session_saving.txt
%{_libdir}/libnasl.so*
%{_sbindir}/*
%{_bindir}/nasl
%attr(750, root, root) %dir %{_sysconfdir}/nessus
%config %{_sysconfdir}/nessus/accounts.txt
%config %{_sysconfdir}/nessus/nessusd.conf
%config(noreplace) %{_sysconfdir}/nessus/nessusd.rules
%config(noreplace) %{_sysconfdir}/nessus/nessusd.users
%config %{_sysconfdir}/nessus/queso.conf
%attr(750, root, root) %dir /var/log/nessus
%attr(750, root, root) %dir /var/nessus
/etc/init.d/nessusd
%{_mandir}/man8/*

%files devel
%defattr(-, root, root)
%doc nessus-plugins/docs/plugins_api.txt
%doc nessus-core/doc/nsr.dtd
%doc nessus-core/doc/nsr_file_format.txt
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_bindir}/nessus-config
%{_bindir}/nessus-build
%{_bindir}/nasl-config

%files client
%defattr(-, root, root)
%{_bindir}/nessus
%{_libdir}/libnessus.so*
%{_mandir}/man1/*

%files plugins
%defattr(-, root, root)
%{_libdir}/nessus

%changelog
* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.9, this is the stable branch since 1.1.2 has already
  been packaged with a lot of spec file modifications.

* Thu May 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.8.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Updated the init script for 7.1 also.
- gunzip'ed and bzip2 -9'ed the tar sources to take less bandwith with
  the SRPM ;-)

* Fri Feb  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete rewrite of the spec file, a tough one! :-)
- Renamed the "nessus" package to "nessus-server"
- Update to 1.0.7a
- Changed the config files
- Etc. (so many changes!)

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- updated the spec file for RedHat 7.0, nessus 1.0.6
- redid the init script for RedHat 7.0

* Sun Sep 17 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.5

* Wed Aug 1 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.4

* Sat Jul 8 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.3 already

* Fri Jul 7 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2 - 2

* Wed Jul 5 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2

* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- nessus 1.0.1

* Fri Apr 21 2000 Klaus Knopper <knopper@linuxtag.de>
- User-buildable RPM for 1.0.0pre2

* Sun Apr 16 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre2

* Mon Apr 10 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre1

* Thu Mar 30 2000 Renaud Deraison <deraison@cvs.nessus.org>
- fixed sysconfdir weirdnesses
- nessus 0.99.10

* Wed Mar 22 2000 Renaud Deraison <deraison@cvs.nessus.org>
- no patch to nessus-plugins
- nessus 0.99.9

* Mon Mar 20 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.8.1

* Sun Mar 19 2000 Renaud Deraison <deraison@cvs.nessus.org>
- gmp not needed
- removed the nasl_guide* files
- nessus 0.99.8

* Mon Feb 28 2000 Renaud Deraison <deraison@cvs.nessus.org>
- patch to nessus-core

* Sun Feb 27 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.6

* Fri Feb 18 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1 R2
- patch nessus-libraries

* Thu Feb 17 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1
- multiples corrections of 0.99.5

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5
- /etc/nessusd/nessusd.conf change from 0.99.4 to 0.99.5

* Fri Jan 14 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.4
- the nessusd.rules (in /etc/nessus) is in accept by default now.

* Wed Jan  4 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.3
 
* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.99.2
- rework of RPM, reuse of crypto channels
- update faq/nasl files to latest versions from nessus.org
- nessus server init script (/etc/rc.d/init.d) renamed to nessusd
- prompt at install for creating initial account
  
* Wed Nov 3 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.9.4
- added post 0.9.4 scripts (an_httpd_cgis, hotsync, rfpoison)
- changed nessusd.rules and nessusd.users to reflect format changes 

* Wed Oct 6 1999 Gomez Henri <gomez@slib.fr>
- nessus 0.9.3
- added mediahouse_statistics_server.nasl

* Wed Sep 22 1999 Ronan-Yan Lorin <ronan-yann.lorin@libertysurf.fr>
- nessus 0.9.2
- initial release
